Subject: Re: [PATCH v3 net-next 3/5] tcp: Access &tcp_hashinfo via net.

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Sep 2022 14:49:36 -0700

On Thu, 1 Sep 2022 14:25:20 -0700 Kuniyuki Iwashima wrote:
> > I looks to me that the above chunks are functionally a no-op and I
> > think that omitting the 2 drivers from the v2:
> > 
> > https://lore.kernel.org/netdev/[email-masked]/
> > 
> > should break mlx5/nfp inside a netns. I don't understand why including
> > the above and skipping the latters?!? I guess is a question mostly for
> > Eric :)  
> 
> My best guess is that it's ok unless it does not touch TCP stack deeply
> and if it does, the driver developer must catch up with the core changes
> not to burden maintainers...?
> 
> If so, I understand that take.  OTOH, I also don't want to break anything
> when we know the change would do.
> 
> So, I'm fine to either stay as is or add the change in v4 again.

FWIW I share Paolo's concern. If we don't want the drivers to be
twiddling with the hash tables we should factor out that code to
a common helper in net/tls/